Bug 833778 - Close the browser will not log the user out when using Safari5, firefox, Chrome on Mac OS.
Close the browser will not log the user out when using Safari5, firefox, Chro...
Status: CLOSED NOTABUG
Product: OpenShift Origin
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 06:47 EDT by Yujie Zhang
Modified: 2015-05-14 21:12 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:16:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2012-06-20 06:47:54 EDT
Description of problem:

When I close the browser and open it again ,the user is still logged in, can not be logged out, tried Safari5,firefox,Chrome, all have this issue.

Version-Release number of selected component (if applicable):

int.openshift.redhat.com

How reproducible:

always

Steps to Reproduce:
1.Go to openshift website and log in
2.Close the browser
3.Open the browser and go to openshift website again
  
Actual results:

The user can not be logged out after closing the browser when using Safari5, firefox, Chrome on MacOS.

Expected results:

The user should be logged out after closing the browser.

Additional info:
Comment 1 Clayton Coleman 2012-06-20 09:16:49 EDT
This is a change in how browsers behave - session cookies on certain tabs are no longer cleared when the browser is closed.
Comment 2 Yujie Zhang 2012-06-21 03:53:32 EDT
(In reply to comment #1)
hi Clayton, I tried on firefox and Chrome on Fedora14 and RHEL6.2, the users will be logged out after closing the browser (not just close the tabs), I think the change should work the same on all the browsers and systems.
Comment 3 Clayton Coleman 2012-06-21 08:17:22 EDT
Unfortunately it's not under our control.  We set the cookie the standard way, and it's up to each browser to make that determination.  Users can control how browsers deal with their cookies typically.

Note You need to log in before you can comment on or make changes to this bug.